package io.renren.modules.admin.service;

import java.util.Map;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;

import io.renren.common.utils.PageUtils;
import io.renren.modules.admin.entity.AttendersEntity;
import io.renren.modules.admin.entity.MemberEntity;

/**
 * 会员表
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-01-17 11:29:03
 */
public interface MemberService extends IService<MemberEntity> {

    PageUtils queryPage(Map<String, Object> params);

    /**
	 * 保存用户
	 */
	void saveMember(MemberEntity member);
	
	/**
	 * 修改用户
	 */
	void update(MemberEntity member);

	/**
	 * 更新审核状态
	 * @param id
	 * @param isCheck
	 */
    int updateStatus(Long id, Integer isCheck);

	/**
	 * 根据用户名获取用户信息
	 * @param username
	 * @return
	 */
	MemberEntity getByUserName(String username);
}

